API Documentation |
JPEGEncoder

Package | org.alivepdf.encoding
Class | public final class JPEGEncoder
Inheritance | JPEGEncoder Object

Class that converts BitmapData into a valid JPEG

Public Methods

| Method | Defined By
--- | --- | ---
|  | JPEGEncoder(quality:Number = 50) Constructor for JPEGEncoder class | JPEGEncoder
|  | encode(image:BitmapData):ByteArray Created a JPEG image from the specified BitmapData | JPEGEncoder

Constructor Detail

JPEGEncoder | () | Constructor

`public function JPEGEncoder(quality:Number = 50)`

Language Version : | ActionScript 3.0

Runtime Versions : | AIR 1.0, Flash Player 9.0

Constructor for JPEGEncoder class

Parameters

| `quality:Number` (default = `50`)`` — The quality level between 1 and 100 that detrmines the level of compression used in the generated JPEG

Method Detail

encode | () | method

`public function encode(image:BitmapData):ByteArray`

Language Version : | ActionScript 3.0

Runtime Versions : | AIR 1.0, Flash Player 9.0

Created a JPEG image from the specified BitmapData

Parameters

| `image:BitmapData` — The BitmapData that will be converted into the JPEG format.

Returns

| `ByteArray` — a ByteArray representing the JPEG encoded image data.

Mon Oct 17 2011, 09:13 PM -04:00